Search the local web index
Search the web index populated by /v1/web/crawl. Results are ranked by
the B/U term score over each page.
POST
/v1/web/searchAuthorization
AuthorizationBearer token (JWT) · headerrequiredBearer API key issued for your account. Send Authorization: Bearer <key>.
Request body
requiredapplication/jsonqstringrequiredSearch query
nintegerMaximum number of results
default: 10
Responses
200
Ranked search results
resultsWebSearchResult[]requiredShow propertiesHide properties
Array of
WebSearchResulturlstring<uri>requiredtitlestringrequiredscorenumber<double>requiredmatchesintegerrequired400
Bad request
string401
Missing or invalid bearer token
string403
Billing or plan entitlement blocked the request
string